Subject: Bug#927: [X2Go-Dev] Bug#927: copy on select overrides Windows clipboard

From: Hans-Richard Grube <[email-masked]>
Date: Sun, 20 Sep 2015 22:07:53 +0200

I tested the same scenario (Windows 10 client v4.0.5.0 and Ubuntu Server
14.04.03 LTS latest X2Go Server from ppa:x2go/stable) and have observed
the following behaviour:

When I copy something via CTRL+C inside the X2Go session**, I can paste
it via CTRL+V on my Windows 10 machine.
However, when I copy something with CTRL+C on my Windows 10 machine, I
cannot paste it via CTRL+V inside the X2Go session.
Same results when doing it via context menues.

Of course, I allowed bidirectional clipboard access on the Windows 10
client. So it only works from server to client while client to server
clipboard fails.
I tested this with XFCE (xfce4) and with MATE (ubuntu-mate-core from
ppa:ubuntu-mate-dev/ppa).